$(document).ready(function() {
     $('#password').keypress(function(e) {
            if(e.which == 13) {
                jQuery('#submit').focus().click();
            }
        });


    $("#submit").click(function() {
        var username=$("#username").val();
        var password=$("#password").val();
        var data = {'username': username, 'password': password, 'reload': reload};
        if(username=="" && password=="")
        {
            $("#login_form_username_error").show();
            $("#login_form_password_error").show();
            $("#username").addClass("ajaxform_invalid");
            $("#password").addClass("ajaxform_invalid");
        }
        else if(username=="" && password!="")
        {
            $("#login_form_username_error").show();
            $("#username").addClass("ajaxform_invalid");
        }
        else if(password=="" && username!="")
        {
            $("#login_form_password_error").show();
            $("#password").addClass("ajaxform_invalid");
        }
        else{
    
        $.ajax({
        type: "POST",  
        url : url_login_ajax,
        dataType:'json',
        data: data,
        error: function (){
            $("#msg").html("fail to connect");
            },
        success: function(data, reload){ //if success, refrash un bout de page pour afficher le nom de utilisateur et déconnecter.
                            if (data.message!="successful")
                            {
                                $("#msg").html(data.message).show();
                            }
                            else{
                            // $("#floatdialog_mask_loginform").hide();
                            //window.location.reload();
                                if (data.reload=='true'){
                                    window.location.reload();
                                }
                                else{
                                    //$("#loginstate").html('<a href ="'+url_userspace+'">'+data.username+'</a> | <a href="'+url_logout+'">déconnection</a>');
                                    //$("#loginstate").html('<ul class="usertool"><li id="user">'+data.username+'</li><li><a href ="'+url_userprofile+'">Profiles</a></li><li><a href ="'+url_userspace+'">Space</a></li><li><a href="'+url_logout+'">déconnection</a></li></ul>');
                                    var $DOMWindowOverlay = $('#DOMWindowOverlay');
                                    var $DOMWindow = $('#DOMWindow');
                                    $DOMWindowOverlay.fadeOut('fast',function(){
                                        $DOMWindowOverlay.trigger('unload').unbind().remove();																	  
                                    });
                                    $DOMWindow.fadeOut('fast',function(){
                                        if($.fn.draggable){
                                            $DOMWindow.draggable("destroy").trigger("unload").remove();
                                        }else{
                                            $DOMWindow.trigger("unload").remove();
                                        }
                                    });
                                    $("#loginstate").html(data.html);
                                }
                            }
                         
                           
                }  
        });
        }
    });
})


